org.springframework.batch.integration.config.xml

## Class JobLaunchingGatewayParser

- java.lang.Object
- - org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
  - - org.springframework.integration.config.xml.AbstractConsumerEndpointParser
    - - org.springframework.batch.integration.config.xml.JobLaunchingGatewayParser

- All Implemented Interfaces:
    org.springframework.beans.factory.xml.BeanDefinitionParser

      public class JobLaunchingGatewayParser
      extends org.springframework.integration.config.xml.AbstractConsumerEndpointParser

  The parser for the Job-Launching Gateway, which will instantiate a `JobLaunchingGatewayParser`. If no `JobLauncher` reference has been provided, this parse will use the use the globally registered bean 'jobLauncher'.
  Since:
    1.3
  Author:
    Gunnar Hillert

- - ### Field Summary

    - ### Fields inherited from class org.springframework.integration.config.xml.AbstractConsumerEndpointParser

      `EXPRESSION_ATTRIBUTE, METHOD_ATTRIBUTE, REF_ATTRIBUTE`

    - ### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `ID_ATTRIBUTE, NAME_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobLaunchingGatewayParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getInputChannelAttributeName()`
    `protected org.springframework.beans.factory.support.BeanDefinitionBuilder` | `parseHandler(org.w3c.dom.Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`

    - ### Methods inherited from class org.springframework.integration.config.xml.AbstractConsumerEndpointParser

      `parseInternal, replyChannelInChainAllowed, resolveId`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobLaunchingGatewayParser

          public JobLaunchingGatewayParser()

  - ### Method Detail

    - #### getInputChannelAttributeName

          protected java.lang.String getInputChannelAttributeName()

      Overrides:
        `getInputChannelAttributeName` in class `org.springframework.integration.config.xml.AbstractConsumerEndpointParser`

    - #### parseHandler

          protected org.springframework.beans.factory.support.BeanDefinitionBuilder parseHandler(org.w3c.dom.Element element,
                                                                                                 org.springframework.beans.factory.xml.ParserContext parserContext)

      Specified by:
        `parseHandler` in class `org.springframework.integration.config.xml.AbstractConsumerEndpointParser`